#ifndef CPHYSICS_PULLEY_H
#define CPHYSICS_PULLEY_H

#include "CPhysicsCustom.h"
#include "PhysicsGlobal.h"

class CPhysicsPulley : IPhysicsCustom
{
public:
	CPhysicsPulley();
	~CPhysicsPulley();

	void init(NewtonWorld* world, SPhysicsPulley* pulley);

	void submitConstraint();

	
private:
	NewtonWorld* m_world;

	f32 m_gearRatio;
	vector3df m_pPin;
	vector3df m_cPin;
	IPhysicsBaseEntity* m_child;
	IPhysicsBaseEntity* m_parent;

	vector3df m_mLocalOrient0;
	vector3df m_mLocalPos0;
	vector3df m_mLocalOrient1;
	vector3df m_mLocalPos1;
};

#endif